For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Metafields
                • POSTCreate Multiple Metafields
                • PUTUpdate Multiple Metafields
                • DELDelete Multiple Metafields
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Metafields Batch

Delete Multiple Metafields

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/customers/metafields
DELETE
/stores/:store_hash/v3/customers/metafields
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/customers/metafields \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": [
3 123,
4 124,
5 125
6 ],
7 "errors": [],
8 "meta": {
9 "total": 3,
10 "success": 3,
11 "failed": 0
12 }
13}
Delete all customer metafields.
Was this page helpful?
Previous

Update Multiple Metafields

Next

List Stored Instruments

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

Response object for metafields deletion with success.
datalist of integers
errorslist of any
Empty for 200 responses.
metaobject
Additional data about the response.

Errors

400
Bad Request Error
422
Unprocessable Entity Error